Bug 91488 - RFE: make http code in the loader follow redirects
RFE: make http code in the loader follow redirects
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-23 01:09 EDT by Damian Menscher
Modified: 2008-04-18 05:52 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHEL5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 05:52:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Menscher 2003-05-23 01:09:38 EDT
From Bugzilla Helper:

Description of problem:
If you have your kickstart file on the web, and point to it using a URL that
needs a redirect (via a 301 with a Location: line), it doesn't find it.  Since I
don't really know the correct terminology for what I'm saying here, an example
is in order:
   http://www.uiuc.edu/~menscher/
should redirect to:
   http://w3.physics.uiuc.edu/~menscher/

The linux installer isn't following that redirect.  It works fine if I point it
straight at the "final" destination.


How reproducible:
Always

Steps to Reproduce:
1.create a webpage with a redirect
2.put a kickstart file there
3.point anaconda at the webpage
    

Actual Results:  It tried a non-kickstart install.

Expected Results:  Should have followed the redirect.  Or at least warned that
it couldn't find it.  Doing something completely different is unacceptable.
Comment 1 Jeremy Katz 2003-07-28 20:12:55 EDT
We have a very barebones HTTP implementation to keep things small and fitting on
a floppy.  Will consider for a future release.
Comment 2 Joshua Jensen 2005-04-30 19:23:54 EDT
Please change for RHEL 3 U6 and RHEL4 U2... this is an important bug that should
have been fixed YEARS ago.
Comment 3 Joshua Jensen 2005-04-30 19:24:24 EDT
Please change for RHEL 3 U6 and RHEL4 U2... this is an important bug that should
have been fixed YEARS ago.
Comment 4 Brian Long 2005-05-02 10:20:30 EDT
Since RHEL 3 requires 2 floppies already (and RHEL 4 doesn't even work with
floppies), please consider this request.
Comment 5 Bill Nottingham 2006-08-04 23:32:50 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2007-01-02 13:32:36 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.
Comment 8 Damian Menscher 2007-01-02 15:33:55 EST
Hooray for ignoring bugs for 4 years and then closing them since they relate to
old products!

Modifying affected version to RHEL5 beta and reopening.  Will check back in
another 4 years.
Comment 9 Chris Lumens 2008-04-18 05:52:50 EDT
This is fixed in RHEL5 GA.  It's actually been in since September 2006 - not
sure why this bug was never closed, but it's probably been assigned to the wrong
person for quite a while.

Note You need to log in before you can comment on or make changes to this bug.